package ch.sahits.game.graphic.image;

import java.awt.image.BufferedImage;

/**
 * Define language aware features of an image loader
 * @author Andi Hotz, (c) Sahits GmbH, 2012
 * Created on Jun 29, 2012
 *
 */
public interface ILanguageAwareImageLoader extends IImageLoader{

	/**
	 * Retrieve the image of the locale specific group at position index. If there is no such
	 * image group or the index is out of bounds null will be returned.
	 * @param groupName
	 * @param index
	 * @return
	 */
	public BufferedImage getLocalImageGroup(String groupName, int index);
	/**
	 * Retrieve the group size of the images for this language specific group
	 * @param groupName
	 * @return
	 */
	public int getLocalImageGroupeSize(String groupName);

}